#ifndef KTYPE_HH
#define KTYPE_HH

#include <kaos.hh>

/* left: -> side */
kdatum left(/* void */);

/* right: -> side */
kdatum right(/* void */);

/* n1: -> nat14 */
kdatum n1(/* void */);

/* n2: -> nat14 */
kdatum n2(/* void */);

/* n3: -> nat14 */
kdatum n3(/* void */);

/* n4: -> nat14 */
kdatum n4(/* void */);

/* succ: nat14 -> nat14 */
kdatum succ(/* kdatum _p1 */);

/* pred: nat14 -> nat14 */
kdatum pred(/* kdatum _p1 */);

/* _plus_: nat14, nat14 -> nat14 */
kdatum plus(/* kdatum _p1, kdatum _p2 */);

#endif
